Package groovy.json

# Class JsonToken

java.lang.Object
groovy.json.JsonToken

public class JsonToken extends Object
A JSON token, with a type, line / column information, and the text of that token.

Since:
  1.8.0
Author:
  Guillaume Laforge

## Constructor Summary

Constructors
Constructor
Description
`JsonToken()`

## Method Summary

Modifier and Type
Method
Description
`long`
`getEndColumn()`
`long`
`getEndLine()`
`long`
`getStartColumn()`
`long`
`getStartLine()`
`String`
`getText()`
`JsonTokenType`
`getType()`
`Object`
`getValue()`
Return the value represented by this token (ie.
`void`
`setEndColumn(long endColumn)`
`void`
`setEndLine(long endLine)`
`void`
`setStartColumn(long startColumn)`
`void`
`setStartLine(long startLine)`
`void`
`setText(String text)`
`void`
`setType(JsonTokenType type)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JsonToken

public JsonToken()

## Method Details

### getValue

public Object getValue()
Return the value represented by this token (ie. a number, a string, a boolean or null). For numbers, BigDecimal is returned for decimals and Integer, Long or BigInteger for integral numbers.

Returns:
  the represented value

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getStartLine

public long getStartLine()

### setStartLine

public void setStartLine(long startLine)

### getEndLine

public long getEndLine()

### setEndLine

public void setEndLine(long endLine)

### getStartColumn

public long getStartColumn()

### setStartColumn

public void setStartColumn(long startColumn)

### getEndColumn

public long getEndColumn()

### setEndColumn

public void setEndColumn(long endColumn)

### getType

public JsonTokenType getType()

### setType

public void setType(JsonTokenType type)

### setText

public void setText(String text)

### getText

public String getText()